"""Add oauthtoken table

Revision ID: bfcdce82e0fc
Revises: 125cf4a92c42
Create Date: 2017-09-19 08:24:43.614375

"""

# revision identifiers, used by Alembic.
revision = 'bfcdce82e0fc'
down_revision = '125cf4a92c42'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('oauthtoken',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('created', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('updated', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('expires', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('token_hash', sa.VARCHAR(length=128), autoincrement=False, nullable=False),
    sa.Column('token_partial', sa.VARCHAR(length=8), autoincrement=False, nullable=False),
    sa.Column('scopes', sa.VARCHAR(length=512), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], name='oauthtoken_user_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='oauthtoken_pkey')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('oauthtoken')
    # ### end Alembic commands ###
